Subject: bug#60936: 30.0.50; ERC >5.5: Add erc-fill style based on visual-line-mode

From: tzakmagiel <[email-masked]>
Date: Thu, 15 Feb 2024 12:01:07 +0000

+1'ing this the issue in Message #166 for visibility. I raised this question under the nick "alcor" on #erc yesterday, and I agree that the default behavior of `fill-wrap' (i.e. without `scrolltobottom') might be confusing/unexpected for new `fill-wrap' users (such as myself, in this case).

For the record, the behavior without the scrolltobottom module could be described as "messages tend to drift upward on screen, gradually increasing the whitespace between prompt and bottom of window" (This description courtesy of corwin on #erc).

>I'm thinking it might make sense to have `fill-wrap' formally depend on `scrolltobottom', even though there's no technical reason to do so.

+1 on that too. The behavior with `scrolltobottom' makes more sense (as a default) and is more in line with other IRC clients, where the message prompt is kept at the bottom of the window.